Create a Payment

Body Params
float
required
Defaults to 100

The amount to be charged.

string
required
Defaults to usd

Three-letter ISO currency code (lowercase). Currently, only "usd" is supported.

string

The Payment Token received from the Pro-Life Payments.js SDK.

string
enum
Defaults to automatic

For card payments only. Specifies when to capture funds from the customer’s account. automatic: Captures funds instantly upon payment authorization. manual: Places a hold on funds at authorization but captures them later.

Allowed:
string

A custom string you can attach to the object, useful for displaying information to users.

string

The email address where the payment receipt will be sent. If provided, a receipt will be sent to this email address regardless of other email settings.

string
enum

By including this parameter, you're indicating your intention to use this PaymentRequest's payment method for future payments. When successful, providing this parameter will link the payment method to the PaymentRequest's Customer (if available). If no Customer was provided initially, the payment method can still be linked to a Customer after the transaction. Choose between: off_session: If the customer's presence in the checkout flow is uncertain. on_session: If you only plan to reuse the payment method when the customer is present during checkout.

Allowed:
string

The customer ID that the paymentToken or paymentMethod belongs to. If both the paymentToken and the setupFutureUsage fields are provided, the customer will be attached to the paymentMethod.

string

The ID of the payment method associated with the Customer used in this PaymentRequest.

string

Information to be shown in the cardholder’s bank statement. It will be concatenated with a short version of the merchant’s DBA Name.

splitFeeAmounts
array of objects

An array of fees that will be automatically charged to the account and transferred to the destination account.

splitFeeAmounts
boolean

Set to true when using saved payment methods and the customer is not present in the checkout flow (e.g. recurring payments)

offSessionDetails
object

Details about the offSession payment request, typically used for installment payments.

boolean

Set to true when the payment request is a MOTO transaction (e.g. mail order, telephone order, or keyed-in transactions through a virtual terminal)

paymentMethod
object

The card or bank account details when not providing a paymentToken.

string
enum

Whether the transaction should be treated as a level 2 or level 3 transaction.

Allowed:
additionalPaymentData
object

The additional payment data required to process level 2 and level 3 transactions.

Headers
string

A unique identifier to ensure the same operation isn't processed multiple times, preventing duplicate transactions.

string

Specifies the account for which the Payment Request funds are intended. This is used for scenarios where one partner processes payments on behalf of another partner, such as in PayFac or related partner relationships.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json